<?php
/**
 * Blocks visitors based on its country of origin. Provides a simple configuration plus
 * filter and actions to extend the functionality.
 * 
 * @package     SimpleCountryBlock
 * @author      Daniel Torre
 * @link		https://dtorrer.com
 * @since		0.1.5
 * @license     GPL-2.0+
 * 
 * @wordpress-plugin
 * Plugin Name: Simple Country Block
 * Plugin URI:  https://dtorrer.com
 * Description: Allows to block visitors based on country of origin.
 * Version:     0.1.0
 * Author:      Daniel Torre
 * Author URI:  https://dtorrer.com
 * Text Domain: simplecountryblock
 * Domain Path:	/languages
 * License:     GPL-2.0+
 * License URI: http://www.gnu.org/licenses/gpl-2.0.txt
 * 
 * 
 * PLEASE READ:
 * This plugin has been tested for WordPress 5.4 and 5.5 (alpha) releases and PHP 7.4,
 * if you find any issues with this software, please contact me at contacto@dtorrer.com
 * 
 * Be aware that I do not plan to support versions below WordPress 5.0 and PHP 7.0, so
 * if you are using any version below such numbers, maybe then you need to consider to update.
 * 
 * 
 * Other licences and information:
 * 
 * This product includes GeoLite2 data created by MaxMind, available from:
 * @link	https://www.maxmind.com
 * 
 * Flags from CSS Flag Sprite generator:
 * @link	https://www.flag-sprites.com/
 */

defined('ABSPATH') || exit;

require_once 'class-visitor-info.php';
require_once 'class-helpers.php';
require_once 'class-options-page.php';

add_action('init', array('SCB_Helpers', 'load_translations'));
add_action('plugins_loaded', array('SCB_Helpers', 'maybe_block_visitor'));